function [string,ixc]=QmuUpdateFunctions(md,ixc,descriptor,dvar,i)

if strcmpi(descriptor,'rho_ice')
	[string,ixc]=updaterho_ice(md,ixc,dvar,i);

elseif strcmpi(descriptor,'rho_water')
	[string,ixc]=updaterho_water(md,ixc,dvar,i);

elseif strcmpi(descriptor,'heatcapacity')
	[string,ixc]=updateheatcapacity(md,ixc,dvar,i);

elseif strcmpi(descriptor,'thermalconductivity')
	[string,ixc]=updatethermalconductivity(md,ixc,dvar,i);

elseif strcmpi(descriptor,'gravity')
	[string,ixc]=updategravity(md,ixc,dvar,i);

elseif strcmpi(descriptor,'thickness')
	[string,ixc]=updatethickness(md,ixc,dvar);

elseif strcmpi(descriptor,'drag')
	[string,ixc]=updatedrag(md,ixc,dvar);

elseif strcmpi(descriptor,'riftsfriction')
	[string,ixc]=updateriftsfriction(md,ixc,dvar);

else
	warning('QmuUpdateFunctions warning message: ','Unrecognized design variable: %s',descriptor)
end
